Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2002-2334

Overview

Vulnerability Score 3.6 3.6
CVE Id CVE-2002-2334
Last Modified 05 Sep 2008 04:32:57
Published 31 Dec 2002 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2002-2334

Summary

Joe text editor 2.8 through 2.9.7 does not remove the group and user setuid bits for backup files, which could allow local users to execute arbitrary setuid and setgid root programs when root edits scripts owned by other users.

Vulnerable Systems

Application

  • Joseph Allen Joe 2.8

  • Joseph Allen Joe 2.9

  • Joseph Allen Joe 2.9.1

  • Joseph Allen Joe 2.9.2

  • Joseph Allen Joe 2.9.4

  • Joseph Allen Joe 2.9.5

  • Joseph Allen Joe 2.9.6

  • Joseph Allen Joe 2.9.7


References

BID - 5732

XF - joe-backup-suid-files(10125)

BUGTRAQ - 20020917 joe editor backup problem


Last Updated: 27 May 2016 10:37:42